Bug 1301652 (CVE-2015-8784) - CVE-2015-8784 libtiff: out-of-bound write in NeXTDecode()
Summary: CVE-2015-8784 libtiff: out-of-bound write in NeXTDecode()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8784
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160124,repo...
Depends On: 1299918 1299919 1299920 1299921 1301653 1335098 1335099
Blocks: 1294418
TreeView+ depends on / blocked
 
Reported: 2016-01-25 15:37 UTC by Andrej Nemec
Modified: 2019-06-08 20:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-13 09:25:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1546 normal SHIPPED_LIVE Important: libtiff security update 2016-08-02 20:59:03 UTC
Red Hat Product Errata RHSA-2016:1547 normal SHIPPED_LIVE Important: libtiff security update 2016-08-02 20:39:45 UTC

Description Andrej Nemec 2016-01-25 15:37:41 UTC
A flaw was discovered in a way libtiff decodes special data. A potential out-of-bounds write could occur for specifically crafted images.

External bug report:

http://bugzilla.maptools.org/show_bug.cgi?id=2508

CVE assignment:

http://seclists.org/oss-sec/2016/q1/191	

Upstream fix:

https://github.com/vadz/libtiff/commit/b18012dae552f85dcc5c57d3bf4e997a15b1cc1c

Comment 1 Andrej Nemec 2016-01-25 15:38:26 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1301653]

Comment 7 errata-xmlrpc 2016-08-02 16:41:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1547 https://rhn.redhat.com/errata/RHSA-2016-1547.html

Comment 8 errata-xmlrpc 2016-08-02 17:01:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1546 https://rhn.redhat.com/errata/RHSA-2016-1546.html


Note You need to log in before you can comment on or make changes to this bug.